let $view = {
    page: '',
    templates:{
        timerDraw: '<div class="row list-item" data-timer-id="{id}"><div class="col-4 d-flex align-items-center" data-timer-name>{name}</div><div class="col-4 d-flex align-items-center" data-timer-project>{project}</div><div class="col-1 d-flex align-items-center" data-timer-control><span class="btn btn-success"><i class="fa fa-play"></i></span></div><div class="col-2 d-flex align-items-center" data-timer-time>{total}</div><div class="col-1 d-flex align-items-center" data-timer-delete><span class="btn btn-danger"><i class="fa fa-close"></i></span></div></div>',
        timerAdd: '<div class="row list-item" id="addTimerRow"><div class="col-4 d-flex align-items-center" data-timer-name><input type="text" class="form-control" id="timerName" placeholder="название таймера" /></div><div class="col-4 d-flex align-items-center" data-timer-project>{projects}</div><div class="col-4 d-flex align-items-center justify-content-end" data-timer-add><span class="btn btn-success"><i class="fa fa-save"></i></span></div></div>',
        archiveRow:'<div class="row"><div class="col-8"><a data-toggle="collapse" href="#collapse{i}"><span><i class="fa fa-caret-square-o-down"></i></span> {name}</a></div><div class="col-4">{total} <span><i class="fa fa-close" data-project="{name}"></i></span></div><div id="collapse{i}" class="col-12 panel-collapse collapse in">{works}</div></div>'
    },
    pages:{
        index:'<div id="total" class="container-fluid"><div class="row"><div class="col d-flex align-items-center justify-content-end">Общее время <span id="totalTimer"> 0:00</span></div></div></div><div id="myList" class="container-fluid"></div><div class="container-fluid"><div class="row" id="actionsRow"><div class="col-8"></div><div class="col-4 text-right"><a id="addTimer" class="btn btn-info">Добавить таймер</a></div></div></div>',
        options:'<div class="container-fluid"><div class="row"><div class="col"><h3>Настройки</h3></div></div></div><div id="myOptions" class="container-fluid"></div><div id="exportImport" class="container-fluid"><h4></h4><div class="row"><div class="col-6"><a href="#" class="btn btn-info" id="exportSettings">Экспорт</a></div><div class="col-6 text-right"><a href="#" class="btn btn-danger btn-disabled" id="importSettings">Импорт</a></div></div></div>',
        archive:'<div class="container-fluid"><div class="row"><div class="col"><h3>Статистика времени по проектам</h3></div></div></div><div id="myArchive" class="container-fluid"></div>'
    },
    titles: {
        index:'JinGoo Freelance Timer',
        options:'Настройки',
        archive:'Архив проектов'
    },
    generate: function(page){
        this.page = page;
        $('#applicationContent').html(this.pages[this.page]);
        $('title').text(this.titles[this.page]);
        ipcRenderer.send('loaded');
    },
    draw: function(tpl, data){
        for(i in data) tpl = tpl.replace(new RegExp('{'+i+'}','g'), data[i]);
        return tpl;
    }
};
